Subject: Re: time for TCP ECN defaulting to on?

From: Andi Kleen <[email-masked]>
Date: Fri, 07 Nov 2008 15:33:53 +0100

Dave Hudson <[email-masked]> writes:
>
> Not all of the routers in question (the ones that crash, block packets
> or otherwise misbehave) are provided by ISPs - in fact a huge number
> of them are and have been sold retail.  Over time most of those boxes
> will get replaced with ones that don't have the problem because most
> (probably all major) SOHO router suppliers now test that they don't
> break with ECN so eventually there will be a point where enabling ECN
> by default will make a lot of sense (there will be too few broken
> routers to care about).

One option would be also to enable it by default for IPv6 only.

-Andi

-- 
[email-masked]